package cokr.xit.fims.epst.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

import cokr.xit.fims.epst.EpostQuery;
import cokr.xit.fims.epst.EpostRcptDtl;
import cokr.xit.fims.epst.service.EpostRcptDtlService;

/**전자우편 접수 상세 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-12-15	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("epostRcptDtlService")
public class EpostRcptDtlServiceBean extends AbstractServiceBean implements EpostRcptDtlService {

	/** 전자우편 접수 상세 정보 Bean */
	@Resource(name = "epostRcptDtlBean")
	private EpostRcptDtlBean epostRcptDtlBean;

	@Override
	public List<DataObject> getEpostRcptDtlList(EpostQuery req) {
		return epostRcptDtlBean.getEpostRcptDtlList(req);
	}

	@Override
	public List<EpostRcptDtl> getEpostRcptDtls(EpostQuery req) {
		return epostRcptDtlBean.getEpostRcptDtls(req);
	}

	@Override
	public boolean create(EpostRcptDtl epostRcptDtl) {
		return epostRcptDtlBean.create(epostRcptDtl);
	}

	@Override
	public boolean update(EpostRcptDtl epostRcptDtl) {
		return epostRcptDtlBean.update(epostRcptDtl);
	}

	@Override
	public boolean remove(EpostRcptDtl epostRcptDtl) {
		return epostRcptDtlBean.remove(epostRcptDtl);
	}

}
